Subject: http-gw

From: "marc " <[email-masked]>
Date: Mon, 3 Jul 2000 10:52:22 -0500

[To be removed from this list send the message "unsubscribe fwtk-users" in the
BODY of a mail message to [email-masked].]

I tried removing it, but it didn't fix it... anyone else 
help me with these two problems??

-Marc

---------- Original Message ----------------------------------
From: Ted Keller <[email-masked]>
Date: Mon, 3 Jul 2000 10:15:54 -0400 (EDT)

Marc,

I don't run the http-gw here.... but why do you have the following line in
the netperm-tabe?  

http-gw:        ftp-proxy ftp-gw

The http-gw code has support for ftp:// type urls without help of another
proxy.

ted keller

On Sat, 1 Jul 2000, marc  wrote:

  > [To be removed from this list send the message "unsubscribe fwtk-users" in the
  > BODY of a mail message to [email-masked].]
  > 
  > I'm having a small problem with fwtk I was hoping you guys may
  > be able to help me out with. On my users browsers, they have the
  > ftp proxy set to olympus:8080 which is where I'm running the http-gw.
  > however when they try to download from a ftp site through the www,
  > they get the following:
  > 
  > FTP Error- 200
  > 
  > 200 Type set to I.
  > 
  > http-gw version (olympus.eisenbarth.org) 
  > 
  > My netperm looks like (the ftp and http sections at least):
  > # Ftp gateway rules:
  > # --------------------------
  > ftp-gw:         denial-msg      /usr/local/etc/ftp-deny.txt
  > ftp-gw:         welcome-msg     /usr/local/etc/ftp-welcome.txt
  > ftp-gw:         timeout 3600
  > ftp-gw:         deny-hosts   unknown
  > ftp-gw:         permit-hosts 148.104.2.* -log { retr stor }
  > 
  > # HTTP rules
  > # ------------------------------------
  > http-gw:        policy -java -javascript -activex
  > http-gw:        ftp-proxy ftp-gw
  > http-gw:        deny-hosts unknown
  > http-gw:        permit-hosts 148.104.2.*
  > http-gw:        permit-hosts 127.0.0.1
  > http-gw:        default-httpd olympus.eisenbarth.org
  > 
  > what's up?? Also, my system is logging the CRAP outta the http
  > server... it's not explicitly enabled.. is it by default? How can 
  > I tell it not to log out the wazoo?
  > 
  > Thanks!
  > 
  > -marc
  > 
  > 
  > 
  > ---------- Original Message ----------------------------------
  > From: Ted Keller <[email-masked]>
  > Date: Thu, 29 Jun 2000 19:38:10 -0400 (EDT)
  > 
  >  >Marc,
  >  >
  >  >You can install the socks server on the firewall. It is located at
  >  >www.socks.nec.com.
  >  >
  >  >Make sure you configure it correctly.
  >  >
  >  >
  >  >ted keller
  >  >
  >  >
  >  >On Thu, 29 Jun 2000, marc  wrote:
  >  >
  >  >> [To be removed from this list send the message "unsubscribe fwtk-users" in the
  >  >> BODY of a mail message to [email-masked].]
  >  >> 
  >  >> How can I make fwtk compatiable with programs who have the only
  >  >> firewall option as SOCKS4/5.
  >  >> 
  >  >> -Marc
  >  >> 
  >  >
  >  >
  >